Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226678 - Update azureus.script
Summary: Update azureus.script
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: azureus
Version: rawhide
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:58 UTC by Andrew Overholt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-06 16:37:46 UTC


Attachments (Terms of Use)

Description Andrew Overholt 2007-01-31 21:58:25 UTC
We no longer have SWT JNI .so symlinks in /usr/lib{,64}.  As such, we need to update azureus.script
to
have -Djava.library.path=/usr/lib (or lib64)/eclipse.  This should be done in rawhide
right
now.  F7 test1 will have a broken azureus and rssowl.  Sorry for not dealing with
this
earlier.

Comment 1 Anthony Green 2007-02-21 15:20:34 UTC
Azureus seems to run fine in rawhide.  The script already sets LD_LIBRARY_PATH
to /usr/lib{,64}/eclipse:/usr/lib{,64}.  Isn't that enough?


Comment 2 Andrew Overholt 2007-02-21 18:33:28 UTC
If it runs, then I guess LD_LIBRARY_PATH is correct.  I was once told that
setting that in a wrapper script was bad, though.  Will java.library.path
changes work?  Are they any better/worse than LD_LIBRARY_PATH setting?

Comment 3 Anthony Green 2007-03-06 16:37:46 UTC
I don't think it makes any difference.  We can reopen if we discover otherwise.


Note You need to log in before you can comment on or make changes to this bug.